ldap_8859_to_t61
ldap_bind
LDAP Functions
PHP Manual

# ldap_add

(PHP 4, PHP 5)

ldap_add — Add entries to LDAP directory

### Description

bool ldap_add ( resource `$link_identifier` , string `$dn` , array `$entry` )

Add entries in the LDAP directory.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`dn`

  The distinguished name of an LDAP entity.

`entry`

  An array that specifies the information about the entry. The values in the entries are indexed by individual attributes. In case of multiple values for an attribute, they are indexed using integers starting with 0.

  `<?php
  $entree["attribut1"] = "value";
  $entree["attribut2"][0] = "value1";
  $entree["attribut2"][1] = "value2";
  ?>`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Complete example with authenticated bind

`<?php
$ds = ldap_connect("localhost"); // assuming the LDAP server is on this host
if ($ds) {
// bind with appropriate dn to give update access
$r = ldap_bind($ds, "cn=root, o=My Company, c=US", "secret");
// prepare data
$info["cn"] = "John Jones";
$info["sn"] = "Jones";
$info["mail"] = "jonj@example.com";
$info["objectclass"] = "person";
// add data to directory
$r = ldap_add($ds, "cn=John Jones, o=My Company, c=US", $info);
ldap_close($ds);
} else {
echo "Unable to connect to LDAP server";
}
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- ldap_delete() - Delete an entry from a directory

ldap_8859_to_t61
ldap_bind
LDAP Functions
PHP Manual